import { render, screen } from '@testing-library/react';
import '@testing-library/jest-dom';
import App from './App';

test('renders Sistema de Inventario Forestal', () => {
  render(<App />);
  const linkElement = screen.getByText(/Panel Principal/i);
  expect(linkElement).toBeInTheDocument();
});

test('renders login link when user is not authenticated', () => {
  render(<App />);
  const loginLink = screen.getByText(/inicie sesión/i);
  expect(loginLink).toBeInTheDocument();
});